*** sys_pre_expand.ori	Wed Dec 14 20:10:56 2011
--- sys_pre_expand.erl	Fri May 04 10:23:06 2012
***************
*** 636,647 ****
--- 636,653 ----
  bin_expand_strings(Es) ->
      foldr(fun ({bin_element,Line,{string,_,S},Sz,Ts}, Es1) ->
                    foldr(fun (C, Es2) ->
                                  [{bin_element,Line,{char,Line,C},Sz,Ts}|Es2]
                          end, Es1, S);
+               ({bin_element,_,{cons,Line,Car,Crd},Sz,Ts}, Es1) ->
+                   cons_to_chars(Sz, Ts, {cons, Line, Car, Crd}, Es1);
                (E, Es1) -> [E|Es1]
            end, [], Es).
+ 
+ cons_to_chars(_Sz, _Ts, {nil, _Line}, Acc) -> Acc;
+ cons_to_chars(Sz, Ts, {cons, _, {integer, Line, C}, Crd}, Acc) ->
+     [{bin_element, Line, {char, Line, C}, Sz, Ts} | cons_to_chars(Sz, Ts, Crd, Acc)].
  
  %% new_var_name(State) -> {VarName,State}.
  
  new_var_name(St) ->
      C = St#expand.vcount,
